Bug 125507 - CAN-2004-0541 Squid NTLM authentication helper overflow
CAN-2004-0541 Squid NTLM authentication helper overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: squid (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
www.idefense.com/application/poi/disp...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-08 06:30 EDT by Mark J. Cox (Product Security)
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-09 08:51:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-06-08 06:30:10 EDT
A buffer overflow was found in within the NTLM authentication helper
routine.  If Squid is configured to use the NTLM authentication helper, 
a remote attacker could potentially execute arbitrary code by sending
an overly long password.  The Common Vulnerabilities and Exposures project
(cve.mitre.org) has assigned the name CAN-2004-0541 to this issue.

Note: The NTLM authentication helper is not enabled by default in Red
Hat Enterprise Linux 3.  Red Hat Enterprise Linux 2.1 is not
vulnerable to this issue as it shipped with a version of Squid which
did not contain the helper.  

Users of Squid should update to these erratum packages which contain a
backported patch are not vulnerable to this issue.
Comment 1 Mark J. Cox (Product Security) 2004-06-09 08:51:35 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-242.html

Note You need to log in before you can comment on or make changes to this bug.